<?php

error_reporting(E_ALL);

include 'config.php';
include 'lib/UspayModel.php';
include 'lib/Uspay.php';

class UspayEvent{

  public function check($params){

    try{
	
	  $uspayModel = UspayModel::getInstance();

      if($uspayModel->getAccountByName($params['us_account'])){

        return true;

      }

      return 'Character not found';

    }catch(Exception $e){

      return $e->getMessage();

    }

  }

  public function pay($params){

    $uspayModel = UspayModel::getInstance();
    $countItems = floor($params['amount'] / Config::ITEM_PRICE);
    $uspayModel->donateForAccount($params['us_account'], $countItems);

  }

}

$payment = new Uspay(
  new UspayEvent(), $_REQUEST
);

echo $payment->getResult();